- Managed Planning Data Foundation
- Core Services
- Queries using the input request criteria.
The API supports full text search on string fields, range queries on date, numeric or string fields, along with geo-spatial search. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'. In addition, users must be a member of data groups to access the data. It can be used to retrieve large numbers of results (or even all results) from a single search request, in much the same way as you would use a cursor on a traditional database.
'kind' to search
The maximum number of results to return from the given offset. If no limit is provided, then it will return 10 items. Max number of items which can be fetched by the query is 1000.
The queryAsOwner switches between viewer and owner to return results that you are entitled to view or results you are the owner of.
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/search/v2/query_with_cursor
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-search-service/query_with_cursor
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/search/v2/query_with_cursor \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"kind": "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0",
"limit": 30,
"query": "data.Basin:\"Ft. Worth\"",
"returnedFields": [
"data.kind"
],
"queryAsOwner": false,
"cursor": "<put a valid cursor or leave it blank for the first request>"
}'{ "cursor": "string", "results": [ {} ], "totalCount": 0 }